<div class="breadcrumb-container">
    <ol class="breadcrumb">
        <li><a data-ui-sref="dashboard">{{"COMMON.HOME" | translate}}</a></li>
        <li class="active">Blog</li>
    </ol>
</div>
<div class="col-md-12 no-padding text-right margin-bottom-10">
    <a class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('BlogAddButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogAddButton')" data-ui-sref="BlogEdit({id:0})">
        Add New Blog
    </a>
</div>
<div data-ng-if="!vm.loading">
    <table id="sampleTable" class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>Title</th>
                <th>Description</th>
                <th>Category Name</th>
                <th class="text-center">File</th>
                <th>CreatedOn</th>
                <th>Active</th>
                <th>Show On Homepage</th>
                <th width="140"></th>
            </tr>
        </thead>
        <tbody>
            <tr data-ng-repeat="record in vm.recordList" data-on-finish-render data-broadcasteventname="ngRepeatBroadcast1">
                <td>{{record.title}}</td>
                <td>{{record.description}}</td>
                <td>
                    {{record.categoryName}}
                </td>
                <td data-ng-if="record.file.path"><img data-ng-src="{{record.file.path}}" width="100"></td>
                <td data-ng-if="record.videoPath"><iframe class="embed-responsive-item" src="{{record.videoPath| trusted}}" width="100" height="100" allow="fullscreen"></iframe></td>
                <td>{{record.createdOn|dateFilter}}</td>
                <td class="text-center"><input type="checkbox" name="active" id="active" data-ng-model="record.isActive" data-ng-click="vm.recordStatus(record.isActive, record.id);"></td>
                <td class="text-center"><input type="checkbox" name="HomePageActive" id="homePageActive" data-ng-model="record.showOnHomePage" data-ng-click="vm.homePageStatus(record.id,record.showOnHomePage);"></td>
                <td class="text-center">
                    <a title="Edit" class="btn btn-primary btn-xs" data-ng-if="vm.authRepository.isAccessible('BlogEditButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogEditButton')" data-ui-sref="BlogEdit({id: record.id})">
                        {{"COMMON.EDIT" | translate}}
                    </a>
                    <a title="Delete" class="btn btn-danger btn-xs" data-ng-if="vm.authRepository.isAccessible('BlogDeleteButton')" data-ng-disabled="vm.authRepository.isDisabled('BlogDeleteButton')" data-ng-click="vm.remove(record.id)">
                        {{"COMMON.DELETE" | translate}}
                    </a>
                </td>
            </tr>
            <tr class="text-center" data-ng-if="vm.recordList.length == 0">
                <td colspan="11">No records found</td>
            </tr>
        </tbody>
    </table>
</div>
